# classes/phing/tasks/ext/phk/PhkPackageTask.php

## \PhkPackageTask
jump to top

See {@link http://phk.tekwire.net/} for more information about PHK.

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Alexey Shockov
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.phk
version
  $Revision: 912 $

### Properties

`string $inputDirectory= ''`

Details

Type
  string

`array $modifiers= 'array'`

Default value `array` Details

Type
  array

`array $options= 'array'`

Default value `array` Details

Type
  array

`string $outputFile= ''`

Details

Type
  string

`string $phkCreatorPath= ''`

Details

Type
  string

`\PhkPackageWebAccess $webAccess= ''`

Details

Type
  \PhkPackageWebAccess

### Methods

`createWebAccess( ) : \PhkPackageWebAccess`
Returns

Type | Description
--- | ---
\PhkPackageWebAccess |

`init( ) :`
`main( ) :`
Main method...
`setCliRunScript( string $cliRunScript ) :`
Parameters

Name | Type | Description
--- | --- | ---
$cliRunScript | string |

`setCompress( string $compress ) :`
May be none, gzip or bzip2.
Parameters

Name | Type | Description
--- | --- | ---
$compress | string |

`setCrcCheck( string $crcCheck ) :`
Parameters

Name | Type | Description
--- | --- | ---
$crcCheck | string |

`setInputDirectory( string $inputDirectory ) :`
Parameters

Name | Type | Description
--- | --- | ---
$inputDirectory | string |

`setLibRunScript( string $libRunScript ) :`
Parameters

Name | Type | Description
--- | --- | ---
$libRunScript | string |

`setName( string $name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$name | string |

`setOutputFile( string $outputFile ) :`
Parameters

Name | Type | Description
--- | --- | ---
$outputFile | string |

`setPhkCreatorPath( \srting $path ) :`
Path to PHK_Creator.phk file.
Parameters

Name | Type | Description
--- | --- | ---
$path | \srting |

`setPluginClass( string $pluginClass ) :`
Parameters

Name | Type | Description
--- | --- | ---
$pluginClass | string |

`setStrip( \srting $strip ) :`
True or false.
Parameters

Name | Type | Description
--- | --- | ---
$strip | \srting |

`setSummary( string $summary ) :`
Parameters

Name | Type | Description
--- | --- | ---
$summary | string |

`setVersion( string $version ) :`
Parameters

Name | Type | Description
--- | --- | ---
$version | string |

`setWebMainRedirect( string $webMainRedirect ) :`
Parameters

Name | Type | Description
--- | --- | ---
$webMainRedirect | string |

`setWebRunScript( string $webRunScript ) :`
Parameters

Name | Type | Description
--- | --- | ---
$webRunScript | string |

Documentation was generated by DocBlox 0.13.1.